Loading...
Searching...
No Matches
DebugHandler::WebSocketDebugConnection Class Reference

The class represents a connection to a debug server via websocket client. More...

## Public Member Functions

| connectionClosed ()
| The method is called by the WebSocketHandler when the connection is closed.
| constructor (AbstractWebSocketDebugHandler n_handler, hash n_cx)
| The constructor is called by the WebSocketHandler when a new connection is made by a websocket client.
| gotMessage (string msg)
| The method is called by the WebSocketHandler when message from the client is received.
| registered ()
| Notifies debug control host that new connection is registered.

## Public Attributes

hash | cx
| websocket context, cx.id is used for sending messages to particular client, custom field may be added as well

## Detailed Description

The class represents a connection to a debug server via websocket client.

The class implements WebSocketConnection::gotMessage() to handle incomming commands passed to control assigned ProgramControl instance Such a command is handled on request/response basis.

Unsolicited messages are sent to client asynchronously when an event occurs in the program being debugged.

## Member Function Documentation

## connectionClosed()

DebugHandler::WebSocketDebugConnection::connectionClosed | ( |  | ) |

The method is called by the WebSocketHandler when the connection is closed.

Implementation unregisters connection from debug program host

## constructor()

DebugHandler::WebSocketDebugConnection::constructor | ( | AbstractWebSocketDebugHandler | n_handler,
|  | hash | n_cx )

The constructor is called by the WebSocketHandler when a new connection is made by a websocket client.

It is called from WebSocketHandler::getConnectionImpl().

## registered()

DebugHandler::WebSocketDebugConnection::registered | ( |  | ) |

Notifies debug control host that new connection is registered.

It may e.g. send welcome message to identify itself